cURL
curl --request GET \
--url https://api.lidian.finance/api/v1/orders \
--header 'x-api-key: <api-key>'import requests
url = "https://api.lidian.finance/api/v1/orders"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.lidian.finance/api/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"data": {
"orders": [
{
"orderId": "<string>",
"quoteId": "<string>",
"signature": "<string>",
"moneyMoverAccountId": "<string>",
"liquidityProviderAccountId": "<string>",
"details": {},
"createdAt": "<string>",
"updatedAt": "<string>",
"completedAt": "<string>",
"failureReason": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>",
"metadata": {},
"quote": {}
}
],
"total": 123,
"page": 123,
"pageSize": 123,
"totalPages": 123
}
}Orders
List Orders
Get orders for authenticated user
GET
/
api
/
v1
/
orders
cURL
List orders for the authenticated account.
Authorizations
Query Parameters
Filter by order status
Page number
Number of results per page
Filter by account type (moneyMover or liquidityProvider)
Include quote data in response
⌘I

